label {
  color: var(--stand-out-color);
}

textarea {
  display: block;
  height: 8*$line-height;
}

textarea,
select,
input[type="color"],
input[type="date"],
input[type="datetime-local"],
input[type="email"],
input[type="hidden"],
input[type="image"],
input[type="month"],
input[type="number"],
input[type="password"],
input[type="radio"],
input[type="range"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="time"],
input[type="url"],
input[type="week"] {
  border: 1px solid var(--border-color);
  background-color: var(--input-background);
  color: var(--base-color);
  width: 100%;
  padding: $spacer-tiny $spacer-small;

  &:valid {
    border-left: $char-width solid var(--color-success);
    border-color: var(--color-success);
    //padding-left: $char-width;
  }

  &:invalid:required {
    border-left: $char-width solid var(--color-warning);
    border-color: var(--color-warning);
    //box-shadow: none;
    //padding-left: $char-width;

  }
}

// Generic checkbox
//input[type="checkbox"] {
//  -webkit-appearance: none;
//  -moz-appearance: none;
//  border: none;
//  background-color: var(--input-background);
//  display: inline-flex;
//  position: relative;
//  max-width: $char-width;
//  width: $char-width;
//  margin: 0 $char-width;
//
//  &::before {
//    display: inline-block;
//    content: '[';
//    background-color: transparent;
//    transform: translateX(-$char-width);
//  }
//
//  &::after {
//    display: inline-block;
//    content: ']';
//    background-color: transparent;
//  }
//}

label > input[type="checkbox"] {
  margin-right: $spacer-small;
}

//input[type="checkbox"]:checked {
//  background-color: var(--base-color);
//}
